#include<bits/stdc++.h>
using namespace std;
bool ktradx(string st)
{
    bool kt=true;
    for(int i=0;i<int(st.length()/2);i++)
    {
        if(st[i]!=st[st.length()-i-1])
        {
            kt=false;
            break;
        }
    }
    return kt;
}
int main()
{
    ifstream fi("bai5a.inp");
    ofstream fo("bai5a.out");
    string s;
    string result;
    getline(fi,s);
    int max=0;
    if(ktradx(s)==false)
    {
        for(int i=0;i<s.length()-1;i++)
        {
            string x="";
            for(int j=i;j<s.length();j++)
            {
                x=x+s[j];
                if((ktradx(x))&& x.length()>max)
                {
                    result=x;
                    max=x.length();
                }
            }
        }
        fo<<result;
    }
}
